package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.entities.MedicalRecordTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

public class AsesmenGiziLanjutVO extends MedicalRecordTransactionVO {


	@NotNull(message = "Riwayat Diet tidak boleh kosong")
	@Column(name = "RiwayatDiet", nullable = true, length = 1000)
	@Caption(value = "Riwayat Diet")
	private String riwayatDiet;
	
	@NotNull(message = "Biokimia tidak boleh kosong")
	@Column(name = "Biokimia", nullable = true, length = 1000)
	@Caption(value = "Biokimia")
	private String biokimia;
	@NotNull(message = "intervensiGizi tidak boleh kosong")
	@Column(name = "IntervensiGizi", nullable = true, length = 1000)
	@Caption(value = "intervensi Gizi")
	private String intervensiGizi;
	@NotNull(message = "riwayatPersonal tidak boleh kosong")
	@Column(name = "RiwayatPersonal", nullable = true, length = 1000)
	@Caption(value = "riwayatPersonal")
	private String riwayatPersonal;
	@NotNull(message = "monitoringEvaluasi tidak boleh kosong")
	@Column(name = "MonitoringEvaluasi", nullable = true, length = 1000)
	@Caption(value = "monitoringEvaluasi")
	private String monitoringEvaluasi;
	@NotNull(message = "klinikFisik tidak boleh kosong")
	@Column(name = "KlinikFisik", nullable = true, length = 1000)
	@Caption(value = "klinikFisik")
	private String klinikFisik;
	public String getRiwayatDiet() {
		return riwayatDiet;
	}
	public void setRiwayatDiet(String riwayatDiet) {
		this.riwayatDiet = riwayatDiet;
	}
	public String getBiokimia() {
		return biokimia;
	}
	public void setBiokimia(String biokimia) {
		this.biokimia = biokimia;
	}
	public String getIntervensiGizi() {
		return intervensiGizi;
	}
	public void setIntervensiGizi(String intervensiGizi) {
		this.intervensiGizi = intervensiGizi;
	}
	public String getRiwayatPersonal() {
		return riwayatPersonal;
	}
	public void setRiwayatPersonal(String riwayatPersonal) {
		this.riwayatPersonal = riwayatPersonal;
	}
	public String getMonitoringEvaluasi() {
		return monitoringEvaluasi;
	}
	public void setMonitoringEvaluasi(String monitoringEvaluasi) {
		this.monitoringEvaluasi = monitoringEvaluasi;
	}
	public String getKlinikFisik() {
		return klinikFisik;
	}
	public void setKlinikFisik(String klinikFisik) {
		this.klinikFisik = klinikFisik;
	}
	

}
